Community


All times are UTC - 5 hours




Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: Client for CentOS 5.3
PostPosted: Thu Oct 08, 2009 8:37 pm 
Offline

Joined: Thu Oct 08, 2009 8:24 pm
Posts: 3
Hi - I've got the Tomato version of the server set up, and I'm trying to get the client installed on my Asterisk server.

I downloaded and installed the RedHat version, then resolved the libssl symlink issues, but now I get the "nrservice: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by nrservice)" error.

You can see the CentOS libstdc++ RPM only provides GLIBCXX through 3.4.8:

Code:
# rpm -q --provides libstdc++
libstdc++ = 4.1.1-52.el5
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(CXXABI_1.3.1)
libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.1)
libstdc++.so.6(GLIBCXX_3.4.2)
libstdc++.so.6(GLIBCXX_3.4.3)
libstdc++.so.6(GLIBCXX_3.4.4)
libstdc++.so.6(GLIBCXX_3.4.5)
libstdc++.so.6(GLIBCXX_3.4.6)
libstdc++.so.6(GLIBCXX_3.4.7)
libstdc++.so.6(GLIBCXX_3.4.8)
libstdc++ = 4.1.2-44.el5

I'd really like to use Neorouter for our PBX, especially as Hamachi sucks now that Logmein is in charge. Is this going to be possible?

FYI - Virtually all Asterisk distributions (Trixbox, PBX in a Flash, Elastix, etc.) are built on CentOS 5.3.

TIA for your assistance.

jp


Top
 Profile  
 
 Post subject: Re: Client for CentOS 5.3
PostPosted: Fri Oct 09, 2009 5:48 am 
Offline

Joined: Sun Nov 16, 2008 6:41 am
Posts: 1869
Hi pinkowitz,

You can try to install the libstdc++ rpm from Fedora 10.

Download from here and install via "rpm -U":

http://rpmfind.net//linux/RPM/fedora/10 ... .i386.html


Someone got the similar issue: http://www.google.co.uk/support/forum/p/earth/thread?tid=0ab0ed80ed61cbfc&hl=en


I have not got a chance to test it, but I think it should work. I will test later.

Thanks,
KevinZ - NeoRouter team


Top
 Profile  
 
 Post subject: Re: Client for CentOS 5.3
PostPosted: Sat Oct 10, 2009 7:31 pm 
Offline

Joined: Thu Oct 08, 2009 8:24 pm
Posts: 3
I tried to install that RPM with "RPM -U", and it becomes a nightmare with dependencies.

Code:
# rpm -U libstdc++-4.3.2-7.i386.rpm
warning: libstdc++-4.3.2-7.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4ebfc273
error: Failed dependencies:
        libstdc++ = 4.1.2-44.el5 is needed by (installed) libstdc++-devel-4.1.2-44.el5.i386
        libstdc++ = 4.1.2-44.el5 is needed by (installed) gcc-c++-4.1.2-44.el5.i386

If I try to upgrade those dependent files, I just keep getting even more dependent files that need to be upgraded.

Any other ideas about how to proceed?

jp


Top
 Profile  
 
 Post subject: Re: Client for CentOS 5.3
PostPosted: Sun Oct 11, 2009 3:12 pm 
Offline

Joined: Sun Nov 16, 2008 6:41 am
Posts: 1869
Hi pinkowitz,

We are trying to solve the issue on CentOS. Will get back to you soon.

Thanks,
KevinZ - NeoRouter team


Top
 Profile  
 
 Post subject: Re: Client for CentOS 5.3
PostPosted: Sun Oct 11, 2009 9:56 pm 
Offline

Joined: Sun Nov 16, 2008 6:41 am
Posts: 1869
Hi guys,

We plan to release a new package for CentOS recently. It is a full package and compiled on CentOS 5.3

This may solve a lot of version issue for the CentOS and Red Hat Enterprise users.

Stay tuned! Coming very soon.

Thanks,
KevinZ - NeoRouter team


Top
 Profile  
 
 Post subject: Re: Client for CentOS 5.3
PostPosted: Mon Oct 12, 2009 10:29 am 
Offline

Joined: Sun Nov 16, 2008 6:41 am
Posts: 1869
NeoRouter Free v0.9.8.1485 for CentOS and Red hat Enterprise Linux has just been released.

Thanks,
KevinZ - NeoRouter team


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

All times are UTC - 5 hours


Who is online

Users browsing this forum: No registered users and 5 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to: